CVE-2018-18492

Impact:
Important
Public Date:
2018-12-11
CWE:
CWE-416
Bugzilla:
1658399: CVE-2018-18492 Mozilla: Use-after-free with select element

The MITRE CVE dictionary describes this issue as:

A use-after-free vulnerability can occur after deleting a selection element due to a weak reference to the select element in the options collection. This results in a potentially exploitable crash. This vulnerability affects Thunderbird < 60.4, Firefox ESR < 60.4, and Firefox < 64.

Find out more about CVE-2018-18492 from the MITRE CVE dictionary dictionary and NIST NVD.

Statement

In general, this flaw be exploited through email in the Thunderbird product because scripting is disabled when reading mail, but are potentially risks in browser or browser-like contexts.

CVSS v3 metrics

CVSS3 Base Score 7.5
CVSS3 Base Metrics CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H
Attack Vector Network
Attack Complexity High
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality High
Integrity Impact High
Availability Impact High

Red Hat Security Errata

Platform Errata Release Date
Red Hat Enterprise Linux 6 (thunderbird) RHSA-2019:0159 2019-01-24
Red Hat Enterprise Linux 7 (thunderbird) RHSA-2019:0160 2019-01-24
Red Hat Enterprise Linux 6 (firefox) RHSA-2018:3831 2018-12-17
Red Hat Enterprise Linux 7 (firefox) RHSA-2018:3833 2018-12-17

Affected Packages State

Platform Package State
Red Hat Enterprise Linux 8 thunderbird Not affected
Red Hat Enterprise Linux 8 firefox Not affected
Unless explicitly stated as not affected, all previous versions of packages in any minor update stream of a product listed here should be assumed vulnerable, although may not have been subject to full analysis.

Acknowledgements

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Nils as the original reporter.

External References

Last Modified

CVE description copyright © 2017, The MITRE Corporation